---
- name: Ensure Quadlet files are present
  ansible.builtin.template:
    src: "actual.container.j2"
    dest: "/home/debian/.config/containers/systemd/actual.container"
    mode: '0755'
    owner: 'debian'
    group: 'debian'
  notify: 'restart actual'

- name: Ensure Caddyfile is present
  ansible.builtin.copy:
    src: 'actual.Caddyfile'
    dest: '/etc/caddy/actual.Caddyfile'
    owner: root
    group: root
    mode: '0644'
  become: true
  notify: reload caddy
